The list/fold_left.hpp header defines folding (or accumulating) a list left-to-right.

#### Usage

#include <boost/preprocessor/list/fold_left.hpp>

#### Contents

- BOOST_PP_LIST_FOLD_LEFT
- BOOST_PP_LIST_FOLD_LEFT_2ND
- BOOST_PP_LIST_FOLD_LEFT_2ND_D
- BOOST_PP_LIST_FOLD_LEFT_d
- BOOST_PP_LIST_FOLD_LEFT_D

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)